2018-12-18 22:59 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000026Branch 0.2.1-FINALBugpublic2016-11-23 10:11
Reporteruser13 
Assigned Touser13 
PriorityurgentSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformApache 2.2.9 - mod_php 5.2.6OSWindows Vista Ultimate x64 SP1OS Version6001 SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000026: Fehlermeldung bei ext-theme
DescriptionDie Menüs Importieren und Modifizieren von ext-theme geben deaktivierter Erweiterung eine ein wenig irreführende Fehlermeldung '· Erweiterung theme nicht installiert.' aus.

Es sollte hierbei keine Fehlermeldung herausgegeben werden, sondern ein tpl die besagt, dass die Erweiterung deaktivert ist. Andere Möglichkeit währe die Menüpunkte erst gar nicht bei deaktiverter Erweiterung im Admin anzeigen lassen.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000055

Quix0r (administrator)

Das tun (leider) auch viele andere Menüpunkte. Die jeweilige Erweiterung muss seit vor vielen Revisionen nun auch aktiviert sein, obwohl sie - z.B. "admins" nur eine für den Adminbereich ist.

Ich hatte mal EXT_IS_ACTIVE() mit einen optionalen Parameter erweitert, der wenn gesetzt bei deaktivierter Erweiterung dennoch diese als aktiviert ausgab. Das hatte aber irgent wann zu mehr Chaos als Nutzen geführt.

Daher habe ich es irgentwann (Revision 200-300 oder so) wieder ausgebaut und seitdem müssen Erweiterungen auch aktiviert sein, nur wenn man sich im Adminbereich bewegt. Sollte ich vielleicht nochmal überdenken. Ich möchte aber keinen "unsauberen" Code...

return (($active == "Y") || ($GLOBALS['module'] == "admin"));

.. verwenden, da das Modul nichts mit aktivierter oder deaktivierter Erweiterung zu tun haben soll.

~0000056

Quix0r (administrator)

Über deine beiden genannten Möglichkeiten denke ich mal nach.

~0000152

Quix0r (administrator)

Ich glaube, hier muss einiges an den "Grundlementen" des Adminbereiches umgebaut werden. Zudem sollte dies recht zuegig erledigt sein.

@Profi-Concept: Haelst du es fuer noetig, dass ich hier einen Schalter einbaue, der entweder deine beiden Vorschlaege vereint? Ich kann mich fuer keines von beiden entscheiden... :(

~0000163

user13

Naja Erweiterung deaktiviert --> kein unnötiger Link nötig --> keine unnötige Fehlermeldung nötig. Also ich bin dafür, dass der Link dann nicht angezeigt wird. Eine anzeige oder nichtanzeige ist ja ganz leicht in die Aktivierungs-Logig der Erweiterung zu integireren. Für etwas was mann sowieso nicht nutzen kann und bestenfalls nur eine kryptische Fehlermeldung ausgibt, braucht man keinen Link!

~0000480

Quix0r (administrator)

Kommt mit aktueller Revision nicht mehr vor.

~0000717

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-22 23:41 user13 New Issue
2008-12-25 19:38 Quix0r Note Added: 0000055
2008-12-25 19:38 Quix0r Assigned To => Quix0r
2008-12-25 19:38 Quix0r Status new => assigned
2008-12-25 19:38 Quix0r Fixed in Version => 0.2.1-FINAL
2008-12-25 19:38 Quix0r Target Version => 0.2.1-FINAL
2008-12-25 19:39 Quix0r Note Added: 0000056
2009-02-07 21:01 Quix0r Note Added: 0000152
2009-02-07 21:01 Quix0r Priority normal => urgent
2009-02-07 21:01 Quix0r Projection none => major rework
2009-02-07 21:01 Quix0r ETA none => 2-3 days
2009-02-07 21:01 Quix0r Description Updated
2009-02-07 21:01 Quix0r Assigned To Quix0r => user13
2009-02-07 21:01 Quix0r Status assigned => feedback
2009-02-09 08:44 user13 Note Added: 0000163
2009-08-06 14:09 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 14:09 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-11-25 21:47 Quix0r Build Rev. 702 => SVN-702
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:52 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:35 Quix0r Fixed in Version 0.2.1-FINAL =>
2010-07-01 02:15 Quix0r Note Added: 0000480
2010-07-01 02:15 Quix0r Status feedback => resolved
2010-07-01 02:15 Quix0r Fixed in Version => 0.2.1-FINAL
2010-07-01 02:15 Quix0r Resolution open => fixed
2016-11-23 10:11 Quix0r Note Added: 0000717
2016-11-23 10:11 Quix0r Status resolved => closed
+Issue History